.width 79
.hb
.cb
JUSTIFY
version 5.1
2/9/88

a text formatting and reformatting utility

by

Bruce Holloway






CopyRight (c) 1988 by Bruce Holloway

.ce
.he
This document and program may be freely copied and distributed, so long
as it is not copied or distributed for profit, and the header and copyright
messages are preserved.
.pa 0

INTRODUCTION

JUSTIFY is an intelligent text formatting system - it can take a random bit
of text and often make it look good with very little effort. Output can be
fully tailored both with command line switches and commands in the text.

INTELLIGENT FORMATTING

Any text that starts more than eight characters away from the left margin
is assumed to be centered. Paragraphs are defined as any text with from one
to eight spaces in front of it, or separated from the previous paragraph by
a blank line. The first line of a new paragraph is indented by a certain
definable amount.

COMMAND LINE

Commands are of the form
.lb
    justify {switches} [files]

	or

    justify {switches}
.le
The first method reads in each file, processes it, and writes the output
to [file.jst], where ".jst" replaces whatever extension the file originally
had, or is appended to the end if the file had no extension.

The second method works as a filter, reading the standard input, formatting what
it finds, and writing the output to the standard output.

ENVIRONMENT

"Justify" looks at the environment variable "JUSTIFY" for a default command
line before it processes the actual commands.

.sc ~
.dc &
COMMAND LINE SWITCHES

&lb
	Switch	Default	Meaning

	-b c	 -	Set "bar" character.
	-c nnn	75	Set the page width to "nnn" characters.
	-d c	 .	Set dot command character.
	-g nnn	 5	Set new paragraph indentation.
	-i nnn	 5	Set indents to "nnn" spaces.
	-l nnn	 0	Lines per page (0 = no page breaks).
	-m c	 =	Set "move" character.
	-n nnn	 1	Text columns per page.
	-p		Force output to stdout (or output is to <file>.jst)
	-s c	 \	Set "separator" character.
	-v		Verbose output (default is quiet output)
&le

TEXT COMMANDS

These are the document versions of the command line switches. The usual
routine is to fiddle with various switches until the text looks right, then
make the changes permanent by adding them to the text itself.

All Text Commands can be abbreviated to the first two characters. They must
begin in the first column of the document, and any text following the
argument (if any) will usually be ignored - so put them on lines by themselves.

.. text~Comment. Everything following the dots is ignored.

.bar~Draw a line across the text column, ignoring indentation.

.move center{\left{\right}}~Draw a TimeSpan move header with the
specified text in the
center, left, and right, separated by the separator character.

.bc c~Set the bar character to 'c'.

.mc c~Set the char to draw bars around the .move command.

.sc c~Sets the separator character used to separate fields in the
.move command.

.cb~Start centering.~
.ce~Stop centering. (default)~
.cb text~Center _only_ the text on the same line as the command.

.lb~Start literal - no processing is done on the input lines.~
.le~End literal. (default)

.jb~Start center justification - text will line up on both left
and right margins. (default)~
.je~Stop justification.

.hb~Begin a header. Text in the header uses the entire width of the page
and is centered.~
.he~End a header.

.fb~Start filling - as many words as possible per line, even if it
means taking some from the next line. (default)~
.fe~Stop filling.

.ib~Indent the left margin by the Indent Width.~
.ie~Outdent the left margin by the Indent Width.

.lines n~Set the number of lines per page to "n".

.indent n~Set the Indent Width to "n" spaces.

.paragraph n~Set the number of spaces to indent the first line of a new
paragraph to "n".

.width n~Set the width of a page to "n" columns.

.columns n~Start outputting text in "n" columns.
